--
-- FS19 - Firewood Sell Point v1.0.0.0
-- @author:    	kenny456 (kenny456@seznam.cz)
-- @history:	v1.0.0.0 - 2020-03-18 - first release
-- Copyright (C) kenny456, All Rights Reserved.
--

FirewoodSellPoint = {}

function FirewoodSellPoint:calculateBaseValue(superFunc, objectId)
	
	local baseValue = superFunc(self, objectId)
	
	local isFirewood = false
	local multiplier = 1
	local volume = getVolume(objectId)
    local splitType = g_splitTypeManager:getSplitTypeByIndex(getSplitType(objectId))
    local sizeX, sizeY, sizeZ, numConvexes, numAttachments = getSplitShapeStats(objectId)
	if sizeX < 0.8 and volume < 0.25 then
		isFirewood = true
	end
	if self.isFirewoodSellPoint == nil then
		self.isFirewoodSellPoint = Utils.getNoNil(getUserAttribute(self.woodSellTrigger, "isFirewoodSellPoint"), false)
	end
	if isFirewood and self.isFirewoodSellPoint then
		--print('isFirewood')
		multiplier = 3.75
	end
    return baseValue * multiplier
end
if WoodSellStationPlaceable ~= nil and not WoodSellStationPlaceable.firewoodRegistered then
    WoodSellStationPlaceable.calculateBaseValue = Utils.overwrittenFunction(WoodSellStationPlaceable.calculateBaseValue, FirewoodSellPoint.calculateBaseValue)
	WoodSellStationPlaceable.firewoodRegistered = true
end


